GCLOUD_COMPUTE_ROUTERS_CREATE(1)

NAME

gcloud compute routers create - create a router

SYNOPSIS

gcloud compute routers create NAME --asn ASN --network NETWORK [--description DESCRIPTION] [--region REGION] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute routers create is used to create a router for use in dynamic routing with vpn tunnels.

POSITIONAL ARGUMENTS
NAME
    The name of the router.

REQUIRED FLAGS
--asn ASN
    The BGP asn for this router
--network NETWORK
    The network for this router

OPTIONAL FLAGS
--description DESCRIPTION
    An optional description of this router.
--region REGION
    The region of the router to create. If not specified, you will be prompted to select a region. To avoid prompting when this flag is omitted, you can set the compute/region property:
        $ gcloud config set compute/region REGION
    A list of regions can be fetched by running:
        $ gcloud compute regions list
    To unset the property, run:
        $ gcloud config unset compute/region
    Alternatively, the region can be stored in the environment variable CLOUDSDK_COMPUTE_REGION.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.